# fstream File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file fstream.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::basic_filebuf< _CharT, _Traits >
    The actual work of input and output (for files). More...
- class std::basic_fstream< _CharT, _Traits >
    Controlling intput and output for files. More...
- class std::basic_ifstream< _CharT, _Traits >
    Controlling input for files. More...
- class std::basic_ofstream< _CharT, _Traits >
    Controlling output for files. More...

## Defines

- #define _GLIBCXX_FSTREAM